---
apiVersion: v1
kind: Service
metadata:
  annotations: {}
  name: {{ include "app.fullname" . }}
  namespace: {{ include "app.namespace" . }}
  labels:
    {{- include "app.labels" . | nindent 4 }}
    {{- range $key, $val := $.Values.extraLabels }}
    {{ $key }}: {{ $val }}
    {{- end }}
spec:
  ports:
    -
      name: {{ .Values.portName }}
      port: {{ .Values.service.port }}
      protocol: TCP
      targetPort: {{ .Values.portName }}
  selector:
    {{- include "app.selectorLabels" . | nindent 4 }}
  type: {{ .Values.service.type }}
